server.port=8083
server.compression.enabled=true
server.compression.mime-types=application/json,application/xml,text/html,text/xml,text/plain,application/javascript,text/css
spring.profiles.active=prod
spring.main.banner-mode=off
spring.http.encoding.force=true
spring.http.encoding.enabled=true
spring.http.encoding.charset=UTF-8

# ===============================
# = spring Cloud  Config
# ===============================
spring.cloud.refresh.enabled=false

# ===============================
# = DATA SOURCE
spring.datasource.url = jdbc:mysql://192.168.10.195:3306/skg_addixo?createDatabaseIfNotExist=true&useUnicode=yes&characterEncoding=UTF-8&autoReconnect=true&useSSL=false&zeroDateTimeBehavior=convertToNull&serverTimezone=Africa/Tunis&useLegacyDatetimeCode=false

spring.datasource.username = monty
spring.datasource.password = some_pass

# ===============================
# = JPA / HIBERNATE
# ===============================

# Use spring.jpa.properties.* for Hibernate native properties (the prefix is
# stripped before adding them to the entity manager).

# Show or not log for each sql query
spring.jpa.show-sql = false

# Hibernate ddl auto (create, create-drop, update): with "update" the database
# schema will be automatically updated accordingly to java entities found in
# the project
spring.jpa.hibernate.ddl-auto = update
spring.jpa.generate-ddl=true
# Naming strategy

#spring.jpa.hibernate.naming.physical-strategy=org.hibernate.boot.model.naming.PhysicalNamingStrategyStandardImpl
# Naming strategy
spring.jpa.hibernate.naming.implicit-strategy=org.hibernate.boot.model.naming.ImplicitNamingStrategyLegacyHbmImpl
spring.jpa.hibernate.naming.physical-strategy=org.springframework.boot.orm.jpa.hibernate.SpringPhysicalNamingStrategy

spring.jpa.properties.hibernate.jdbc.time_zone = Africa/Tunis

# Allows Hibernate to generate SQL optimized for a particular DBMS

spring.jpa.database-platform=org.hibernate.dialect.MySQL5InnoDBDialect
#spring.jpa.properties.hibernate.dialect = org.hibernate.dialect.MySQL5Dialect
spring.jpa.properties.hibernate.connection.characterEncoding= UTF-8
spring.jpa.properties.hibernate.connection.CharSet: UTF-8
spring.jpa.properties.hibernate.connection.useUnicode: true
spring.datasource.sqlScriptEncoding=UTF-8
spring.datasource.platform=mysql
spring.datasource.data=classpath:/data-mysql.sql
spring.datasource.initialization-mode=always
spring.datasource.continue-on-error=true
spring.jpa.properties.hibernate.dialect = org.hibernate.dialect.MySQL5InnoDBDialect
spring.datasource.driver-class-name=com.mysql.jdbc.Driver

# Keep the connection alive if idle for a long time (needed in production)
spring.datasource.testWhileIdle=true
spring.datasource.validationQuery=SELECT 1

# ===============================
# = Redis Config
# ===============================
spring.redis.host=192.168.10.195
spring.redis.password=iot2016
spring.redis.port=6379

# ===============================
# = Logger Config
# ===============================
logging.level.ROOT: INFO
logging.level.org.springframework.web=ERROR
logging.level.org.springframework.batch.sample=debug
logging.level.com.addixo.smartfactory.postprocessing=DEBUG
logging.level.org.springframework.data: ERROR
logging.level.org.hibernate.SQL=ERROR
logging.level.org.hibernate.type=ERROR

#logging.level.ROOT: INFO
#logging.level.org.springframework.web=ERROR
#logging.level.org.springframework.batch.sample=ERROR
#logging.level.com.addixo.smartfactory.postprocessing=INFO
#logging.level.org.springframework.data: ERROR
#logging.level.org.hibernate.SQL=ERROR
#logging.level.org.hibernate.type=ERROR
# Logging pattern for the console
logging.pattern.console= %d{yyyy-MM-dd HH:mm:ss} [%thread] %-5level %logger{36} %M %L - %m%n

# Logging pattern for file
logging.pattern.file= %d{yyyy-MM-dd HH:mm:ss} [%thread] %-5level %logger{36} %M %L - %m%n
logging.file=/tmp/addixo/smartfactory_postprocessing.log
# ===============================
# = Time Config
# ===============================
spring.jackson.serialization.write-dates-as-timestamps=false
spring.jackson.time-zone= Africa/Tunis
spring.jackson.date-format=yyyy-MM-dd HH:mm:ss

# ===============================
# = Security Config
# ===============================
jwt.header=Authorization
# 100 minutes
jwt.expires_in= 60000 
jwt.secret= addixo-smartfactory-postprocessing
jwt.cookie= AUTH-TOKEN
app.name=smartfactory-postprocessing
# ===============================
# = Batch Config
# ===============================
spring.batch.job.enabled=false
spring.batch.initialize-schema=always
batch.cron.dashbordMonitoring=0 0/50 * * * *
batch.cron.socketIo=* 0/50 * * * *